petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetGridSequence

sets the number of steps of grid sequencing that SNES does

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetGridSequence(SNES snes,PetscInt steps)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| steps | - the number of refinements to do, defaults to 0 Many br

### Options Database Keys

-snes_grid_sequence <steps> - Many br Many br

### Notes

Use SNESGetSolution() to extract the fine grid solution after grid sequencing. Many br

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance(), SNESGetLagPreconditioner(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetGridSequence()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages